Bug 82521 - OpenOffice does not handle variable dpi correct in printing
OpenOffice does not handle variable dpi correct in printing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-22 21:25 EST by Gerry Tool
Modified: 2007-04-18 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 09:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2003-01-22 21:25:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
The CUPS printing system and drivers in Phoebe 2 allow
easy definitions of printers based on the hpijs-rss driver for my HP970C
printer with varying resolution for fast or fine printing.

However, OpenOffice Writer behaves very wierdly.  If I print with a
printer having a definition of 1200dpi, it magnifies the text rather than
printing it normal size.  Other apps like KWord and Abiword behave as expected,
allowing fast printing at 300dpi and slow but precise printing at 1200dpi, all
at the same magnification.  The left margin is also moved way to the right.

The dpi setting for the printer definitions can be varied, and OpenOffice just
prints larger and larger text as the dpi is increased, whereas the other apps
print a fixed size but with greater quality as the dpi is increased.

Version-Release number of selected component (if applicable):
openoffice-1.0.1-8

How reproducible:
Always

Steps to Reproduce:
1.Open OOfice writer
2.Create a text document
3.Print the document with the printer set to various dpi values
    

Actual Results:  The printed text size varies, increasing with larger dpi
settings.  The left margin moves to the right, also.  Printing time does not
increase with higher dpi settings.  The right hand end of a text line runs off
the edge of the page.

Expected Results:  Text size should remain constant with different printer dpi
settings.  The quality of the printout should increase (longer printing times of
course) with higher dpi.

Additional info:

Page Preview does not show any document text.
Comment 1 Gerry Tool 2003-02-20 21:24:26 EST
This behaviour still exists in Phoebe 3 (OpenOffice.org 1.0.2)
Comment 2 Caolan McNamara 2004-10-27 08:50:42 EDT
caolanm->gerry: Is this still the case with a contemporary
openoffice.org e.g. 1.1.2-10 
Comment 3 Gerry Tool 2004-10-27 09:33:39 EDT
No, I just tested it in openoffice.org-1.1.2-10.fc2 and it now works
as it should.  This bug should be closed.
Comment 4 Caolan McNamara 2004-10-27 09:53:54 EDT
*dance of joy*

Note You need to log in before you can comment on or make changes to this bug.